# Project: coresysdemo01
# Makefile created by Embarcadero Dev-C++ 6.1

CPP      = g++.exe
CC       = gcc.exe
WINDRES  = windres.exe
OBJ      = ../coresysmem/coresysmemdemo01/main.o ../../../../src/core/sys/base/coresysbasewstrtypes.o ../../../../src/core/sys/base/coresysbaseuuids.o ../../../../src/core/sys/base/coresysbaseuinttypes.o ../../../../src/core/sys/base/coresysbasetypes.o ../../../../src/core/sys/base/coresysbasesinttypes.o ../../../../src/core/sys/base/coresysbasemodules.o ../../../../src/core/sys/base/coresysbasememinttypes.o ../../../../src/core/sys/base/coresysbasemem.o ../../../../src/core/sys/base/coresysbasemacros.o ../../../../src/core/sys/base/coresysbasefunctors.o ../../../../src/core/sys/base/coresysbasefuncs.o ../../../../src/core/sys/base/coresysbasefloattypes.o ../../../../src/core/sys/base/coresysbaseenums.o ../../../../src/core/sys/base/coresysbaseastrtypes.o ../../../../src/core/sys/base/coresysbase.o
LINKOBJ  = ../coresysmem/coresysmemdemo01/main.o ../../../../src/core/sys/base/coresysbasewstrtypes.o ../../../../src/core/sys/base/coresysbaseuuids.o ../../../../src/core/sys/base/coresysbaseuinttypes.o ../../../../src/core/sys/base/coresysbasetypes.o ../../../../src/core/sys/base/coresysbasesinttypes.o ../../../../src/core/sys/base/coresysbasemodules.o ../../../../src/core/sys/base/coresysbasememinttypes.o ../../../../src/core/sys/base/coresysbasemem.o ../../../../src/core/sys/base/coresysbasemacros.o ../../../../src/core/sys/base/coresysbasefunctors.o ../../../../src/core/sys/base/coresysbasefuncs.o ../../../../src/core/sys/base/coresysbasefloattypes.o ../../../../src/core/sys/base/coresysbaseenums.o ../../../../src/core/sys/base/coresysbaseastrtypes.o ../../../../src/core/sys/base/coresysbase.o
LIBS     = -L"C:/Program Files/Embarcadero/DevCpp/TDM-GCC-64/x86_64-w64-mingw32/lib32" -static-libgcc -m32
INCS     = -I"C:/Program Files/Embarcadero/DevCpp/TDM-GCC-64/include" -I"C:/Program Files/Embarcadero/DevCpp/TDM-GCC-64/x86_64-w64-mingw32/include" -I"C:/Program Files/Embarcadero/DevCpp/TDM-GCC-64/lib/gcc/x86_64-w64-mingw32/9.2.0/include"
CXXINCS  = -I"C:/Program Files/Embarcadero/DevCpp/TDM-GCC-64/include" -I"C:/Program Files/Embarcadero/DevCpp/TDM-GCC-64/x86_64-w64-mingw32/include" -I"C:/Program Files/Embarcadero/DevCpp/TDM-GCC-64/lib/gcc/x86_64-w64-mingw32/9.2.0/include" -I"C:/Program Files/Embarcadero/DevCpp/TDM-GCC-64/lib/gcc/x86_64-w64-mingw32/9.2.0/include/c++"
BIN      = coresysbasedemo01.exe
CXXFLAGS = $(CXXINCS) -m32
CFLAGS   = $(INCS) -m32
DEL      = del /f /q

.PHONY: all all-before all-after clean clean-custom

all: all-before $(BIN) all-after

clean: clean-custom
	${DEL} $(OBJ) $(BIN) 2>nul

$(BIN): $(OBJ)
	$(CC) $(LINKOBJ) -o $(BIN) $(LIBS)

../coresysmem/coresysmemdemo01/main.o: ../coresysmem/coresysmemdemo01/main.c
	$(CC) -c ../coresysmem/coresysmemdemo01/main.c -o ../coresysmem/coresysmemdemo01/main.o $(CFLAGS)

../../../../src/core/sys/base/coresysbasewstrtypes.o: ../../../../src/core/sys/base/coresysbasewstrtypes.c
	$(CC) -c ../../../../src/core/sys/base/coresysbasewstrtypes.c -o ../../../../src/core/sys/base/coresysbasewstrtypes.o $(CFLAGS)

../../../../src/core/sys/base/coresysbaseuuids.o: ../../../../src/core/sys/base/coresysbaseuuids.c
	$(CC) -c ../../../../src/core/sys/base/coresysbaseuuids.c -o ../../../../src/core/sys/base/coresysbaseuuids.o $(CFLAGS)

../../../../src/core/sys/base/coresysbaseuinttypes.o: ../../../../src/core/sys/base/coresysbaseuinttypes.c
	$(CC) -c ../../../../src/core/sys/base/coresysbaseuinttypes.c -o ../../../../src/core/sys/base/coresysbaseuinttypes.o $(CFLAGS)

../../../../src/core/sys/base/coresysbasetypes.o: ../../../../src/core/sys/base/coresysbasetypes.c
	$(CC) -c ../../../../src/core/sys/base/coresysbasetypes.c -o ../../../../src/core/sys/base/coresysbasetypes.o $(CFLAGS)

../../../../src/core/sys/base/coresysbasesinttypes.o: ../../../../src/core/sys/base/coresysbasesinttypes.c
	$(CC) -c ../../../../src/core/sys/base/coresysbasesinttypes.c -o ../../../../src/core/sys/base/coresysbasesinttypes.o $(CFLAGS)

../../../../src/core/sys/base/coresysbasemodules.o: ../../../../src/core/sys/base/coresysbasemodules.c
	$(CC) -c ../../../../src/core/sys/base/coresysbasemodules.c -o ../../../../src/core/sys/base/coresysbasemodules.o $(CFLAGS)

../../../../src/core/sys/base/coresysbasememinttypes.o: ../../../../src/core/sys/base/coresysbasememinttypes.c
	$(CC) -c ../../../../src/core/sys/base/coresysbasememinttypes.c -o ../../../../src/core/sys/base/coresysbasememinttypes.o $(CFLAGS)

../../../../src/core/sys/base/coresysbasemem.o: ../../../../src/core/sys/base/coresysbasemem.c
	$(CC) -c ../../../../src/core/sys/base/coresysbasemem.c -o ../../../../src/core/sys/base/coresysbasemem.o $(CFLAGS)

../../../../src/core/sys/base/coresysbasemacros.o: ../../../../src/core/sys/base/coresysbasemacros.c
	$(CC) -c ../../../../src/core/sys/base/coresysbasemacros.c -o ../../../../src/core/sys/base/coresysbasemacros.o $(CFLAGS)

../../../../src/core/sys/base/coresysbasefunctors.o: ../../../../src/core/sys/base/coresysbasefunctors.c
	$(CC) -c ../../../../src/core/sys/base/coresysbasefunctors.c -o ../../../../src/core/sys/base/coresysbasefunctors.o $(CFLAGS)

../../../../src/core/sys/base/coresysbasefuncs.o: ../../../../src/core/sys/base/coresysbasefuncs.c
	$(CC) -c ../../../../src/core/sys/base/coresysbasefuncs.c -o ../../../../src/core/sys/base/coresysbasefuncs.o $(CFLAGS)

../../../../src/core/sys/base/coresysbasefloattypes.o: ../../../../src/core/sys/base/coresysbasefloattypes.c
	$(CC) -c ../../../../src/core/sys/base/coresysbasefloattypes.c -o ../../../../src/core/sys/base/coresysbasefloattypes.o $(CFLAGS)

../../../../src/core/sys/base/coresysbaseenums.o: ../../../../src/core/sys/base/coresysbaseenums.c
	$(CC) -c ../../../../src/core/sys/base/coresysbaseenums.c -o ../../../../src/core/sys/base/coresysbaseenums.o $(CFLAGS)

../../../../src/core/sys/base/coresysbaseastrtypes.o: ../../../../src/core/sys/base/coresysbaseastrtypes.c
	$(CC) -c ../../../../src/core/sys/base/coresysbaseastrtypes.c -o ../../../../src/core/sys/base/coresysbaseastrtypes.o $(CFLAGS)

../../../../src/core/sys/base/coresysbase.o: ../../../../src/core/sys/base/coresysbase.c
	$(CC) -c ../../../../src/core/sys/base/coresysbase.c -o ../../../../src/core/sys/base/coresysbase.o $(CFLAGS)
